> For the complete documentation index, see [llms.txt](https://docs.intrepidcs.com/vspy-3-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.intrepidcs.com/vspy-3-documentation/vehicle-spy-tutorials/tutorial-configuring-and-using-coremini/part-5-extracting-data.md).

# Part 5 - Extracting Data

### 1. Micro-SD Card:

Vehicle Spy has a built in Extract tool will pull the data from the Micro-SD Card and copy it to the PC. The first step is to remove the card from the hardware and put it into the Micro-SD Card reader. After that, plug the reader with the card into the PC's USB port. Windows should detect the card as a disk drive. Note the drive letter Windows is using for the device.

### 2. SD Card Extract:

In Vehicle Spy, select Tools -> Utilities -> Extract / Export to open the extract function. Figure 1 shows this view.

![Figure 1: The SD Card Extract Application.](https://3170208387-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FL6lcovCpkhoS9uTOFtEp%2Fuploads%2FidG3tfmyNJ9GNfv9O1if%2FCoreMiniExtract.gif?alt=media\&token=ac14561a-3584-445a-8ea4-993a68f9546d)

The first step to using this function is to select the Source Data Drive to extract from (Figure 1: ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smOne.gif)). The drive will have the same drive letter as noted before and will have a label of "LOGGER" followed by the size. The next step is to tell the application where to put the data. This is done using the Browse button found in the "Output Directory" section in (Figure 1: ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smTwo.gif)). The last step is to click the "Convert Log File" button at (Figure 1: ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smThree.gif)). This will take the data off of the SD card and put it into the specified directory. When finished, the Extract application will start Windows Explorer at the extracted file path.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.intrepidcs.com/vspy-3-documentation/vehicle-spy-tutorials/tutorial-configuring-and-using-coremini/part-5-extracting-data.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
